Subject: bug#62779: closed (Re: bug#62779: avr-gcc fails after upgrade to gcc 10)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 04 Oct 2023 02:28:02 +0000

Your bug report

#62779: avr-gcc fails after upgrade to gcc 10

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
62779: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=62779
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#62779: avr-gcc fails after upgrade to gcc 10
From: Maxim Cournoyer <[email-masked]>
To: Kristian Lein-Mathisen <[email-masked]>
Cc: [email-masked]
Date: Tue, 03 Oct 2023 22:26:36 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Kristian Lein-Mathisen <[email-masked]> writes:

> Hi,
>
> I'm no longer able to compile for attiny85:
>
> klm@pal /tmp ➤ echo '' > test.c
> klm@pal /tmp ➤ avr-gcc -mmcu=attiny85 test.c
> avr-ld: cannot find crtattiny85.o: No such file or directory
> avr-ld: cannot find -lm
> avr-ld: cannot find -lc
> avr-ld: cannot find -lattiny85
> collect2: error: ld returned 1 exit status
>
> I'm currently getting no output for avr-toolchain, which I believe is
> related:
>
>> ls -l $(guix build avr-toolchain)
> total 0

There were some changes recently [0] that means you should now use
'make-avr-toolchain', a procedure, in your manifest to have an
avr-toolchain package.

It was tested working, at least in clean environments (there's a current
caveat with toolchains where you can't use multiple of them in a same
profile in case that's what you were trying to do).

[0] see commit 35c1df5bd6317b1cd038c1a4aca1c7e4a52d4d93

-- 
Thanks,
Maxim

Subject: avr-gcc fails after upgrade to gcc 10
From: Kristian Lein-Mathisen <[email-masked]>
To: [email-masked]
Date: Tue, 11 Apr 2023 20:43:35 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I'm no longer able to compile for attiny85:

klm@pal /tmp ➤ echo '' > test.c
klm@pal /tmp ➤ avr-gcc -mmcu=attiny85 test.c
avr-ld: cannot find crtattiny85.o: No such file or directory
avr-ld: cannot find -lm
avr-ld: cannot find -lc
avr-ld: cannot find -lattiny85
collect2: error: ld returned 1 exit status

I'm currently getting no output for avr-toolchain, which I believe is
related:

> ls -l $(guix build avr-toolchain)
total 0

I've been reading https://issues.guix.gnu.org/39918 and I think it may be
causing the problem. It seems that resulted in commit
197c1676d3733f6d8ce30bdc9977ba731b33ec71 (avr-libc going from function to
package) which seems to revert part of what's been done
in 4d2470b0efb399ad974e2a764db685e952b94323 (avr-libc going from package to
function).

I'm hoping would be kind enough to look into this.
Thank you,
Kris